(* Процедура warnuser -- вывод сообщения и звукового сигнала *)
{$mode objfpc}
uses linux;

(* Работает на большинстве терминалов *)
const 
  bel:char=#$7;


procedure warnuser(str:pchar);
begin
  (* Это терминал?? *)
  if isatty(2) then {stderr}
    write (stderr, bel, bel, bel);
  writeln (stderr, 'предупреждение: ', str);
end;

 
begin
  warnuser ('Test warning!');
end.
